{
	"artifacts" : 
	[
		{
			"path" : "AssignmentProject"
		}
	],
	"backtrace" : 1,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_executable",
			"target_link_options",
			"target_link_libraries",
			"target_compile_options",
			"include_directories"
		],
		"files" : 
		[
			"CMakeLists.txt",
			"libraries/BLT/CMakeLists.txt"
		],
		"nodes" : 
		[
			{
				"file" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 19,
				"parent" : 0
			},
			{
				"command" : 1,
				"file" : 0,
				"line" : 25,
				"parent" : 0
			},
			{
				"command" : 1,
				"file" : 0,
				"line" : 29,
				"parent" : 0
			},
			{
				"command" : 1,
				"file" : 0,
				"line" : 34,
				"parent" : 0
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 21,
				"parent" : 0
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 22,
				"parent" : 0
			},
			{
				"file" : 1
			},
			{
				"command" : 2,
				"file" : 1,
				"line" : 75,
				"parent" : 7
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 24,
				"parent" : 0
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 28,
				"parent" : 0
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 33,
				"parent" : 0
			},
			{
				"command" : 4,
				"file" : 0,
				"line" : 15,
				"parent" : 0
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-g -fdiagnostics-color=always"
				},
				{
					"backtrace" : 9,
					"fragment" : "-Wall"
				},
				{
					"backtrace" : 9,
					"fragment" : "-Wextra"
				},
				{
					"backtrace" : 9,
					"fragment" : "-Werror"
				},
				{
					"backtrace" : 9,
					"fragment" : "-Wpedantic"
				},
				{
					"backtrace" : 9,
					"fragment" : "-Wno-comment"
				},
				{
					"backtrace" : 10,
					"fragment" : "-fsanitize=address"
				},
				{
					"backtrace" : 11,
					"fragment" : "-fsanitize=undefined"
				},
				{
					"fragment" : "-std=gnu++17"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 12,
					"path" : "/home/brett/Documents/Brock/CS 4P14/Assignment 2/AssignmentProject/include"
				},
				{
					"backtrace" : 5,
					"path" : "/home/brett/Documents/Brock/CS 4P14/Assignment 2/AssignmentProject/libraries/BLT/include"
				},
				{
					"backtrace" : 5,
					"path" : "/home/brett/Documents/Brock/CS 4P14/Assignment 2/AssignmentProject/cmake-build-debug/libraries/BLT/config"
				},
				{
					"backtrace" : 5,
					"path" : "/home/brett/Documents/Brock/CS 4P14/Assignment 2/AssignmentProject/libraries/BLT/libraries/parallel-hashmap"
				}
			],
			"language" : "CXX",
			"languageStandard" : 
			{
				"backtraces" : 
				[
					1
				],
				"standard" : "17"
			},
			"sourceIndexes" : 
			[
				0
			]
		},
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-g -fdiagnostics-color=always"
				},
				{
					"backtrace" : 9,
					"fragment" : "-Wall"
				},
				{
					"backtrace" : 9,
					"fragment" : "-Wextra"
				},
				{
					"backtrace" : 9,
					"fragment" : "-Werror"
				},
				{
					"backtrace" : 9,
					"fragment" : "-Wpedantic"
				},
				{
					"backtrace" : 9,
					"fragment" : "-Wno-comment"
				},
				{
					"backtrace" : 10,
					"fragment" : "-fsanitize=address"
				},
				{
					"backtrace" : 11,
					"fragment" : "-fsanitize=undefined"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 12,
					"path" : "/home/brett/Documents/Brock/CS 4P14/Assignment 2/AssignmentProject/include"
				},
				{
					"backtrace" : 5,
					"path" : "/home/brett/Documents/Brock/CS 4P14/Assignment 2/AssignmentProject/libraries/BLT/include"
				},
				{
					"backtrace" : 5,
					"path" : "/home/brett/Documents/Brock/CS 4P14/Assignment 2/AssignmentProject/cmake-build-debug/libraries/BLT/config"
				},
				{
					"backtrace" : 5,
					"path" : "/home/brett/Documents/Brock/CS 4P14/Assignment 2/AssignmentProject/libraries/BLT/libraries/parallel-hashmap"
				}
			],
			"language" : "C",
			"sourceIndexes" : 
			[
				1
			]
		}
	],
	"dependencies" : 
	[
		{
			"backtrace" : 5,
			"id" : "BLT::@834776b52e80069b1648"
		}
	],
	"id" : "AssignmentProject::@6890427a1f51a3e7e1df",
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "-g",
				"role" : "flags"
			},
			{
				"fragment" : "",
				"role" : "flags"
			},
			{
				"backtrace" : 2,
				"fragment" : "-Wall",
				"role" : "flags"
			},
			{
				"backtrace" : 2,
				"fragment" : "-Wextra",
				"role" : "flags"
			},
			{
				"backtrace" : 2,
				"fragment" : "-Werror",
				"role" : "flags"
			},
			{
				"backtrace" : 2,
				"fragment" : "-Wpedantic",
				"role" : "flags"
			},
			{
				"backtrace" : 2,
				"fragment" : "-Wno-comment",
				"role" : "flags"
			},
			{
				"backtrace" : 3,
				"fragment" : "-fsanitize=address",
				"role" : "flags"
			},
			{
				"backtrace" : 4,
				"fragment" : "-fsanitize=undefined",
				"role" : "flags"
			},
			{
				"backtrace" : 5,
				"fragment" : "libraries/BLT/libBLT.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 6,
				"fragment" : "-lstdc++fs",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "/usr/lib/x86_64-linux-gnu/libz.so",
				"role" : "libraries"
			}
		],
		"language" : "CXX"
	},
	"name" : "AssignmentProject",
	"nameOnDisk" : "AssignmentProject",
	"paths" : 
	{
		"build" : ".",
		"source" : "."
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0,
				1
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/main.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 1,
			"path" : "src/crc.c",
			"sourceGroupIndex" : 0
		}
	],
	"type" : "EXECUTABLE"
}
